<template>
  <div class="container">
    <p class="step-launch-title">
      {{ $t('title') }}
    </p>
    <base-button
      shaded
      class="step-launch-btn"
      @click.native='$router.push({ path: localePath("/application") })'
    >
      Launch Exchange!
    </base-button>
    <div class="steps-launch">
      <h2 class="base-title">{{ $t('launchTitle') }}</h2>
      <div class="steps-launch__list">
        <client-only>
          <Flickity
            id="news-carousel"
            ref="flickity"
            :key="sliderKey"
            :options="flickityOptions"
          >
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/1.svg"
                alt="1"
                width="80"
                height="80"
              />
              <p class="item__name">{{ $t('apply') }}</p>
              <p class="item__day">up to 1 day</p>
              <p class="item__text">
                {{ $t('applyText') }}
              </p>
            </div>
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/2.svg"
                alt="2"
                width="80"
                height="80"
              />
              <p class="item__name">{{ $t('set') }}</p>
              <p class="item__day">up to 1 day</p>
              <p class="item__text">
                {{ $t('setText') }}
              </p>
            </div>
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/3.svg"
                alt="3"
                width="80"
                height="80"
              />
              <p class="item__name">{{ $t('launch') }}</p>
              <p class="item__day">up to 1 day</p>
              <p class="item__text">
                {{ $t('launchText') }}
              </p>
            </div>
          </Flickity>
        </client-only>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Create the future of the crypto market with TBCC Cloud",
    "launchTitle": "Launch in Three Days!",
    "apply": "Apply",
    "applyText": "Choose a package you like and click “Apply it”. Within one business day, we will contact you.",
    "set": "Set up and audit",
    "setText": "Our specialists develop the agreed functionality and design of your Exchange.",
    "launch": "Launch!",
    "launchText": "After a penetration and security test, your Exchange is ready to go live."
  },
  "ch": {
    "title": "用TBCC云创造加密市场的未来",
    "launchTitle": "三天内启动!",
    "apply": "申请",
    "applyText": "选择一个您喜欢的套餐，然后点击 '申请'。在一个工作日内，我们将与您联系",
    "set": "设置和审计",
    "setText": "我们的专家为您的交易所开发商定的功能和设计 ",
    "launch": "启动!",
    "launchText": "经过渗透和安全测试，您的交易所已经准备好上线"
  },
  "tur": {
    "title": "Create the future of the crypto market with TBCC Cloud",
    "launchTitle": "Launch in Three Days!",
    "apply": "Apply",
    "applyText": "Choose a package you like and click “Apply it”. Within one business day, we will contact you.",
    "set": "Set up and audit",
    "setText": "Our specialists develop the agreed functionality and design of your Exchange.",
    "launch": "Launch!",
    "launchText": "After a penetration and security test, your Exchange is ready to go live."
  }
}
</i18n>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  data() {
    return {
      innerWidth: 0,
      sliderKey: 1,
    }
  },

  computed: {
    flickityOptions() {
      if (this.innerWidth <= 767) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 1,
          prevNextButtons: false,
        }
      }
      return {
        pageDots: false,
        wrapAround: false,
        groupCells: 3,
        prevNextButtons: false,
      }
    },
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    },
  },

  mounted() {
    this.setWidth()
    window.addEventListener('resize', this.setWidth)
  },

  methods: {
    ...mapActions({
      showFeedbackForm: 'toggleShowFeedbackForm',
    }),

    setWidth() {
      this.innerWidth = window.innerWidth
    },
  },
}
</script>

<style lang="scss" scoped>
.container {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.step-launch-title {
  font-size: 48px;
  line-height: 58px;
  text-align: center;
  color: white;
  max-width: 900px;
  margin: 0 0 40px;

  @media (max-width: 767px) {
    font-size: 30px;
    line-height: 36px;
    text-align: center;
    max-width: 322px;
  }
}

.step-launch-btn {
  margin-bottom: 130px;
  min-height: 56px;

  @media (max-width: 767px) {
    margin-bottom: 90px;
  }
}

.base-title {
  margin: 0 0 55px;
  font-size: 36px;

  @media (max-width: 767px) {
    text-align: center;
    margin: 0 0 30px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}
.steps-launch {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  background: #dbe1f1;
  border-radius: 36px;
  padding: 73px 0;

  @media (min-width: 1024px) {
    padding: 73px;
  }

  @media (max-width: 767px) {
    width: 353px;
    margin: 0 auto;
    padding: 40px 30px 90px;
  }

  &__list {
    max-width: 912px;
    width: 100%;

    @media (min-width: 768px) and (max-width: 1023px) {
      justify-content: space-around;
    }
  }
}

.item {
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  width: 100%;

  @media (min-width: 768px) {
    max-width: 33.33%;
  }

  &::after {
    content: '';
    position: absolute;
    top: 32px;
    right: 25px;
    width: 30px;
    height: 14px;
    background-image: url('../../assets/img/steps-started/arrow.svg');
    background-repeat: no-repeat;
    background-position: center;
  }

  &:last-child {
    &::after {
      width: 21px;
      height: 15px;
      background-image: url('../../assets/img/steps-started/check.svg');
    }
  }

  img {
    margin-bottom: 25px;
    width: 80px;
    height: 80px;
    object-fit: none;
  }

  &__name {
    font-size: 20px;
    line-height: 25px;
    text-align: center;
    margin: 0;
    color: #05204a;
    width: 240px;
    font-weight: 500;
    margin-bottom: 17px;

    @media (max-width: 1023px) {
      font-size: 18px;
      line-height: 22px;
      width: 232px;
    }
  }

  &__day {
    display: flex;
    justify-content: center;
    font-size: 12px;
    text-align: center;
    color: #ffffff;
    background: linear-gradient(77.9deg, #0066ff -3.83%, #2ce0c5 110.36%);
    border-radius: 30px;
    padding: 5px 13px;
    margin: 0 0 35px;
  }

  &__text {
    margin: 0;
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    max-width: 260px;
    text-align: center;

    @media (min-width: 768px) and (max-width: 1023px) {
      max-width: 184px;
    }
  }
}
</style>
